
Redmine - Defect #4565

settings : stack level too deep

2010-01-13 12:56 - Digital Base

Status: Closed Start date: 2010-01-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Running redmine on /trunk getting the following error whenever i access settings page of a project

A ActionView::TemplateError occurred in projects#settings:

  stack level too deep

  On line #3 of app/views/projects/settings.rhtml

    1: <h2><%=l(:label_settings)%></h2>

    2: 

    3: <%= render_tabs project_settings_tabs %>

    4: 

    5: <% html_title(l(:label_settings)) -%>

    app/views/projects/settings.rhtml:3:in `_run_rhtml_app47views47projects47settings46rhtml'

-------------------------------

Request:

-------------------------------

  * URL       : https://development.digitalbase.eu/projects/thephonehouse/settings

  * IP address: 83.101.44.98

  * Parameters: {"action"=>"settings", "id"=>"thephonehouse", "controller"=>"projects"}

  * Rails root: /home/redmine/webroot

-------------------------------

Session:

-------------------------------

  * session id: nil

  * data: nil

-------------------------------

Environment:

-------------------------------

  * GATEWAY_INTERFACE                           : CGI/1.2

  * HTTP_ACCEPT                                 : text/html,application/xhtml+xml,application/xml;

q=0.9,*/*;q=0.8

  * HTTP_ACCEPT_CHARSET                         : ISO-8859-1,utf-8;q=0.7,*;q=0.7

  * HTTP_ACCEPT_ENCODING                        : gzip,deflate

  * HTTP_ACCEPT_LANGUAGE                        : en-us,en;q=0.5

  * HTTP_CONNECTION                             : Keep-Alive

  * HTTP_COOKIE                                 : __utma=132852891.1411549830.1253799007.125993797

9.1261060311.15; __utmz=132852891.1253799007.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none); __

utma=95663625.240760228.1255936510.1263371990.1263384139.155; __utmz=95663625.1255936510.1.1.utmcs

r=(direct)|utmccn=(direct)|utmcmd=(none); autologin=387749008f313bb4017dbdb610b3805c010b1a97; _red

mine_session=BAh7CzoQX2NzcmZfdG9rZW4iMTAvNkFNZ3FQTmRyVFg0dm11dGZ1MmFodWszcWFWUUp4WndjN085TVM4YXc9O

gx1c2VyX2lkaQk6D3Nlc3Npb25faWQiJTAyOTI5ZDE1NjhkNDY1YTliNDM5ZGM3ZTRmMmRlZDg2IhZpc3N1ZXNfaW5kZXhfc29

ydCIYYXNzaWduZWRfdG8saWQ6ZGVzYyIKZmxhc2hJQzonQWN0aW9uQ29udHJvbGxlcjo6Rmxhc2g6OkZsYXNoSGFzaHsABjoKQ

HVzZWR7ADoKcXVlcnl7CToMZmlsdGVyc3sHIhVmaXhlZF92ZXJzaW9uX2lkewc6C3ZhbHVlc1sGIggzOTM6DW9wZXJhdG9yIgY

9Ig5zdGF0dXNfaWR7BzsMWwYiADsNIgZvOg1ncm91cF9ieTA6EWNvbHVtbl9uYW1lczA6D3Byb2plY3RfaWRpWg%3D%3D--a51
73b3dd7f5cd6e287b9bc223913b5601cfcc6a; __utmc=95663625; __utmb=95663625.5.10.1263384139

  * HTTP_HOST                                   : 127.0.0.1:8001

  * HTTP_REFERER                                : https://development.digitalbase.eu/admin/project

s?status=1&name=thephonehouse

  * HTTP_USER_AGENT                             : Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1

.7) Gecko/20100106 Ubuntu/9.10 (karmic) Firefox/3.5.7

  * HTTP_VERSION                                : HTTP/1.1

  * HTTP_VIA                                    : 1.1 development.digitalbase.eu

  * HTTP_X_FORWARDED_FOR                        : 83.101.44.98

  * HTTP_X_FORWARDED_HOST                       : development.digitalbase.eu

  * HTTP_X_FORWARDED_PROTO                      : https

  * HTTP_X_FORWARDED_SERVER                     : development.digitalbase.eu

  * PATH_INFO                                   : /projects/thephonehouse/settings

  * QUERY_STRING                                : 

  * REMOTE_ADDR                                 : 127.0.0.1

  * REQUEST_METHOD                              : GET

  * REQUEST_PATH                                : /projects/thephonehouse/settings

  * REQUEST_URI                                 : /projects/thephonehouse/settings

  * SCRIPT_NAME                                 : 

  * SERVER_NAME                                 : 127.0.0.1

  * SERVER_PORT                                 : 8001

  * SERVER_PROTOCOL                             : HTTP/1.1

  * SERVER_SOFTWARE                             : Mongrel 1.1.5

  * action_controller.request.path_parameters   : actionsettingsidthephonehousecontrollerprojects

  * action_controller.request.query_parameters  : 

  * action_controller.request.request_parameters: 

  * action_controller.rescue.request            : #<ActionController::Request:0x2aaaab9d67c0>

  * action_controller.rescue.response           : #<ActionController::Response:0x2aaaab9d6518>

  * rack.errors                                 : #<IO:0x2b8b73630ea0>

  * rack.input                                  : #<StringIO:0x2aaaab9db428>

  * rack.multiprocess                           : true

  * rack.multithread                            : false

  * rack.request.cookie_hash                    : __utma132852891.1411549830.1253799007.1259937979

.1261060311.15__utmb95663625.5.10.1263384139__utmc95663625autologin387749008f313bb4017dbdb610b3805

c010b1a97__utmz132852891.1253799007.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none)_redmine_sess

ionBAh7CzoQX2NzcmZfdG9rZW4iMTAvNkFNZ3FQTmRyVFg0dm11dGZ1MmFodWszcWFWUUp4WndjN085TVM4YXc9Ogx1c2VyX2l

kaQk6D3Nlc3Npb25faWQiJTAyOTI5ZDE1NjhkNDY1YTliNDM5ZGM3ZTRmMmRlZDg2IhZpc3N1ZXNfaW5kZXhfc29ydCIYYXNza

WduZWRfdG8saWQ6ZGVzYyIKZmxhc2hJQzonQWN0aW9uQ29udHJvbGxlcjo6Rmxhc2g6OkZsYXNoSGFzaHsABjoKQHVzZWR7ADo

KcXVlcnl7CToMZmlsdGVyc3sHIhVmaXhlZF92ZXJzaW9uX2lkewc6C3ZhbHVlc1sGIggzOTM6DW9wZXJhdG9yIgY9Ig5zdGF0d

XNfaWR7BzsMWwYiADsNIgZvOg1ncm91cF9ieTA6EWNvbHVtbl9uYW1lczA6D3Byb2plY3RfaWRpWg==--a5173b3dd7f5cd6e2

87b9bc223913b5601cfcc6a

  * rack.request.cookie_string                  : __utma=132852891.1411549830.1253799007.125993797

9.1261060311.15; __utmz=132852891.1253799007.1.1.utmcsr=(direct)|utmccn=(direct)|utmcmd=(none); __

utma=95663625.240760228.1255936510.1263371990.1263384139.155; __utmz=95663625.1255936510.1.1.utmcs

r=(direct)|utmccn=(direct)|utmcmd=(none); autologin=387749008f313bb4017dbdb610b3805c010b1a97; _red

mine_session=BAh7CzoQX2NzcmZfdG9rZW4iMTAvNkFNZ3FQTmRyVFg0dm11dGZ1MmFodWszcWFWUUp4WndjN085TVM4YXc9O

gx1c2VyX2lkaQk6D3Nlc3Npb25faWQiJTAyOTI5ZDE1NjhkNDY1YTliNDM5ZGM3ZTRmMmRlZDg2IhZpc3N1ZXNfaW5kZXhfc29

ydCIYYXNzaWduZWRfdG8saWQ6ZGVzYyIKZmxhc2hJQzonQWN0aW9uQ29udHJvbGxlcjo6Rmxhc2g6OkZsYXNoSGFzaHsABjoKQ

HVzZWR7ADoKcXVlcnl7CToMZmlsdGVyc3sHIhVmaXhlZF92ZXJzaW9uX2lkewc6C3ZhbHVlc1sGIggzOTM6DW9wZXJhdG9yIgY

9Ig5zdGF0dXNfaWR7BzsMWwYiADsNIgZvOg1ncm91cF9ieTA6EWNvbHVtbl9uYW1lczA6D3Byb2plY3RfaWRpWg%3D%3D--a51

73b3dd7f5cd6e287b9bc223913b5601cfcc6a; __utmc=95663625; __utmb=95663625.5.10.1263384139

  * rack.request.query_hash                     : 

  * rack.request.query_string                   : 

  * rack.run_once                               : false

  * rack.session                                : _csrf_token0/6AMgqPNdrTX4vmutfu2ahuk3qaVQJxZwc7O

9MS8aw=user_id4session_id02929d1568d465a9b439dc7e4f2ded86issues_index_sortassigned_to,id:descflash

queryfiltersfixed_version_idvalues393operator=status_idvaluesoperatorogroup_bycolumn_namesproject_

id85

  * rack.session.options                        : path/domainkey_session_idexpire_afterhttponlytru

eid02929d1568d465a9b439dc7e4f2ded86

  * rack.url_scheme                             : http

  * rack.version                                : 01

  * Process: 23123

  * Server : development

-------------------------------
Backtrace:

-------------------------------

  On line #3 of app/views/projects/settings.rhtml

      1: <h2><%=l(:label_settings)%></h2>

      2: 

      3: <%= render_tabs project_settings_tabs %>

      4: 

      5: <% html_title(l(:label_settings)) -%>

      app/views/projects/settings.rhtml:3:in `_run_rhtml_app47views47projects47settings46rhtml'

 More info

actionmailer (2.3.5)

actionpack (2.3.5)

activerecord (2.3.5)

activeresource (2.3.5)

activesupport (2.3.5)

cgi_multipart_eof_fix (2.5.0)

daemons (1.0.10)

fastthread (1.0.7)

gem_plugin (0.2.3)

holidays (0.9.3)

mongrel (1.1.5)

mongrel_cluster (1.0.5)

rack (1.1.0, 1.0.1)

rails (2.3.5)

rake (0.8.7)

rubygems-update (1.3.5)

 Plugins

ezFAQ plugin  This is a FAQ management plugin for Redmine  http://218.107.133.32:5000/projects/ezw

ork       Zou Chaoqun      0.3.4      

Google Analytics plugin Redmine plugin to insert the Google Analytics tracking code into Redmine b

ased on user roles. https://projects.littlestreamsoftware.com/projects/redmine-analytics     Eric 

Davis     0.2.0     Configure

Redmine Code Review plugin This is a Code Review plugin for Redmine http://www.r-labs.org/projects

/show/codereview     Haruyuki Iida     0.2.7     

Redmine Exception Handler plugin Send emails when exceptions occur in Redmine.     Eric Davis     

0.2.0     Configure

Redmine My Widgets plugin This plugin provides instances of Redmine with additional widgets for My

 page.     Brad Beattie     0.1.0

History

#1 - 2010-01-17 11:06 - Jean-Philippe Lang

I need the error stack trace.

#2 - 2010-01-29 19:54 - Thiago Lima

Same problem, here...

Redmine revision: 8420f251099ad855bd347e3f687471f18ee40df4

RAILS_ENV=production ruby script/about

About your application's environment

Ruby version              1.8.7 (i586-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5
Application root          /srv/www/redmine

Environment               production

Database adapter          postgresql

Database schema version   20091227112908

About your Redmine plugins

Timesheet Plugin                             0.5.0

Redmine risks plugin                         0.9.0

Redmine Requirement Management Tool plugin   BETA-0.0.1

Google Calendar Plugin                       0.1.2

Bulk Time Entry                              0.4.0

Scrumdashboard plugin                        1.2

Redmine Code Review plugin                   0.2.7

 Backtrace

Processing ProjectsController#settings (for ::1 at 2010-01-29 15:52:39) [GET]

  Parameters: {"action"=>"settings", "id"=>"ldc", "controller"=>"projects"}

Rendering template within layouts/base

Rendering projects/settings

ActionView::TemplateError (stack level too deep) on line #3 of app/views/projects/settings.rhtml:

1: <h2><%=l(:label_settings)%></h2>

2: 

3: <%= render_tabs project_settings_tabs %>

4: 

5: <% html_title(l(:label_settings)) -%>

    app/views/projects/settings.rhtml:3:in `_run_rhtml_app47views47projects47settings46rhtml'

    passenger (2.2.5) lib/phusion_passenger/rack/request_handler.rb:95:in `process_request'

    passenger (2.2.5) lib/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:378:in `start_request_handler'

    passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:336:in `handle_spawn_application'

    passenger (2.2.5) lib/phusion_passenger/utils.rb:183:in `safe_fork'

    passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:334:in `handle_spawn_application'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:163:in `start'

    passenger (2.2.5) lib/phusion_passenger/railz/application_spawner.rb:213:in `start'

    passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

    passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

    passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    passenger (2.2.5) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

    passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

    passenger (2.2.5) lib/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `__send__'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:352:in `main_loop'

    passenger (2.2.5) lib/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

Rendering /srv/www/redmine/public/500.html (500 Internal Server Error)

#3 - 2010-01-29 21:15 - Eric Davis

I've seen a similar bug when I'm patching core Redmine methods from a plugin and I made a mistake (i.e. infinite loop).  Could you try to remove all of

your plugins and try to reproduce this?

You can move a plugin from vendor/plugins to vendor/ to quickly disable it.

#4 - 2010-02-02 14:18 - Digital Base

- Status changed from New to Resolved

removed code review plugin, then it works

i upgraded to http://r-labs.googlecode.com/files/redmine_code_review-0.2.9.3.zip and now code review works again.

sorry for the trouble it was related to a plugin

#5 - 2010-02-10 01:28 - Eric Davis

- Status changed from Resolved to Closed
- Resolution set to Invalid
